import {Transition} from "./Transition";
import {ProductState} from "../states/ProductState";

export class ProductTransition extends Transition<ProductState> {

  containsInnerStateByLabel(label: string) {
    return this.startingState.existsInnerStateByLowerCaseLabel(label) || this.endingState.existsInnerStateByLowerCaseLabel(label);
  }
}
